complete -c rye -n "__fish_use_subcommand" -l version -d 'Print the version'
complete -c rye -n "__fish_use_subcommand" -s h -l help -d 'Print help'
complete -c rye -n "__fish_use_subcommand" -f -a "add" -d 'Adds a Python package to this project'
complete -c rye -n "__fish_use_subcommand" -f -a "build" -d 'Builds a package for distribution'
complete -c rye -n "__fish_use_subcommand" -f -a "config" -d 'Reads or modifies the global `config.toml` file'
complete -c rye -n "__fish_use_subcommand" -f -a "fetch" -d 'Fetches a Python interpreter for the local machine'
complete -c rye -n "__fish_use_subcommand" -f -a "fmt" -d 'Run the code formatter on the project'
complete -c rye -n "__fish_use_subcommand" -f -a "init" -d 'Initialize a new or existing Python project with Rye'
complete -c rye -n "__fish_use_subcommand" -f -a "install" -d 'Installs a package as global tool'
complete -c rye -n "__fish_use_subcommand" -f -a "lock" -d 'Updates the lockfiles without installing dependencies'
complete -c rye -n "__fish_use_subcommand" -f -a "lint" -d 'Run the linter on the project'
complete -c rye -n "__fish_use_subcommand" -f -a "make-req" -d 'Builds and prints a PEP 508 requirement string from parts'
complete -c rye -n "__fish_use_subcommand" -f -a "pin" -d 'Pins a Python version to this project'
complete -c rye -n "__fish_use_subcommand" -f -a "publish" -d 'Publish packages to a package repository'
complete -c rye -n "__fish_use_subcommand" -f -a "remove" -d 'Removes a package from this project'
complete -c rye -n "__fish_use_subcommand" -f -a "run" -d 'Runs a command installed into this package'
complete -c rye -n "__fish_use_subcommand" -f -a "shell" -d 'Spawns a shell with the virtualenv activated'
complete -c rye -n "__fish_use_subcommand" -f -a "show" -d 'Prints the current state of the project'
complete -c rye -n "__fish_use_subcommand" -f -a "sync" -d 'Updates the virtualenv based on the pyproject.toml'
complete -c rye -n "__fish_use_subcommand" -f -a "toolchain" -d 'Helper utility to manage Python toolchains'
complete -c rye -n "__fish_use_subcommand" -f -a "tools" -d 'Helper utility to manage global tools'
complete -c rye -n "__fish_use_subcommand" -f -a "self" -d 'Rye self management'
complete -c rye -n "__fish_use_subcommand" -f -a "uninstall" -d 'Uninstalls a global tool'
complete -c rye -n "__fish_use_subcommand" -f -a "version" -d 'Get or set project version'
complete -c rye -n "__fish_use_subcommand" -f -a "list" -d 'There is no real list command yet'
complete -c rye -n "__fish_use_subcommand" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from add" -l git -d 'Install the given package from this git repository' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l url -d 'Install the given package from this URL' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l path -d 'Install the given package from this local path' -r -F
complete -c rye -n "__fish_seen_subcommand_from add" -l tag -d 'Install a specific tag' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l rev -d 'Update to a specific git rev' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l branch -d 'Update to a specific git branch' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l features -d 'Adds a dependency with a specific feature' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l optional -d 'Add this to an optional dependency group' -r
complete -c rye -n "__fish_seen_subcommand_from add" -l pin -d 'Overrides the pin operator' -r -f -a "{equal	'',tilde-equal	'',greater-than-equal	''}"
complete -c rye -n "__fish_seen_subcommand_from add" -l absolute -d 'Force non interpolated absolute paths'
complete -c rye -n "__fish_seen_subcommand_from add" -l dev -d 'Add this as dev dependency'
complete -c rye -n "__fish_seen_subcommand_from add" -l excluded -d 'Add this as an excluded dependency that will not be installed even if it\'s a sub dependency'
complete -c rye -n "__fish_seen_subcommand_from add" -l pre -d 'Include pre-releases when finding a package version'
complete -c rye -n "__fish_seen_subcommand_from add" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from add" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from add" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from build" -s p -l package -d 'Build a specific package' -r
complete -c rye -n "__fish_seen_subcommand_from build" -s o -l out -d 'An output directory (defaults to `workspace/dist`)' -r -F
complete -c rye -n "__fish_seen_subcommand_from build" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from build" -l sdist -d 'Build an sdist'
complete -c rye -n "__fish_seen_subcommand_from build" -l wheel -d 'Build a wheel'
complete -c rye -n "__fish_seen_subcommand_from build" -s a -l all -d 'Build all packages'
complete -c rye -n "__fish_seen_subcommand_from build" -s c -l clean -d 'Clean the output directory first'
complete -c rye -n "__fish_seen_subcommand_from build" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from build" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from build" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from config" -l get -d 'Reads a config key' -r
complete -c rye -n "__fish_seen_subcommand_from config" -l set -d 'Sets a config key to a string' -r
complete -c rye -n "__fish_seen_subcommand_from config" -l set-int -d 'Sets a config key to an integer' -r
complete -c rye -n "__fish_seen_subcommand_from config" -l set-bool -d 'Sets a config key to a bool' -r
complete -c rye -n "__fish_seen_subcommand_from config" -l unset -d 'Remove a config key' -r
complete -c rye -n "__fish_seen_subcommand_from config" -l format -d 'Request parseable output format rather than lines' -r -f -a "{json	''}"
complete -c rye -n "__fish_seen_subcommand_from config" -l show-path -d 'Print the path to the config'
complete -c rye -n "__fish_seen_subcommand_from config" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from fetch" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from fetch" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from fetch" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from fmt" -s p -l package -d 'Format a specific package' -r
complete -c rye -n "__fish_seen_subcommand_from fmt" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from fmt" -s a -l all -d 'Format all packages'
complete -c rye -n "__fish_seen_subcommand_from fmt" -l check -d 'Run format in check mode'
complete -c rye -n "__fish_seen_subcommand_from fmt" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from fmt" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from fmt" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from init" -l min-py -d 'Minimal Python version supported by this project' -r
complete -c rye -n "__fish_seen_subcommand_from init" -s p -l py -d 'Python version to use for the virtualenv' -r
complete -c rye -n "__fish_seen_subcommand_from init" -l build-system -d 'Which build system should be used(defaults to hatchling)?' -r -f -a "{hatchling	'',setuptools	'',flit	'',pdm	'',maturin	''}"
complete -c rye -n "__fish_seen_subcommand_from init" -l license -d 'Which license should be used (SPDX identifier)?' -r
complete -c rye -n "__fish_seen_subcommand_from init" -l name -d 'The name of the package' -r
complete -c rye -n "__fish_seen_subcommand_from init" -s r -l requirements -d 'Requirements files to initialize pyproject.toml with' -r -F
complete -c rye -n "__fish_seen_subcommand_from init" -l dev-requirements -d 'Development requirements files to initialize pyproject.toml with' -r -F
complete -c rye -n "__fish_seen_subcommand_from init" -l no-readme -d 'Do not create a readme'
complete -c rye -n "__fish_seen_subcommand_from init" -l no-pin -d 'Do not create .python-version file (requires-python will be used)'
complete -c rye -n "__fish_seen_subcommand_from init" -l private -d 'Set "Private :: Do Not Upload" classifier, used for private projects'
complete -c rye -n "__fish_seen_subcommand_from init" -l no-import -d 'Don\'t import from setup.cfg, setup.py, or requirements files'
complete -c rye -n "__fish_seen_subcommand_from init" -l virtual -d 'Initialize this as a virtual package'
complete -c rye -n "__fish_seen_subcommand_from init" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from init" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from init" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from install" -l git -d 'Install the given package from this git repository' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l url -d 'Install the given package from this URL' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l path -d 'Install the given package from this local path' -r -F
complete -c rye -n "__fish_seen_subcommand_from install" -l tag -d 'Install a specific tag' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l rev -d 'Update to a specific git rev' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l branch -d 'Update to a specific git branch' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l features -d 'Adds a dependency with a specific feature' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l include-dep -d 'Include scripts from a given dependency' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l extra-requirement -d 'Additional dependencies to install that are not declared by the main package' -r
complete -c rye -n "__fish_seen_subcommand_from install" -s p -l python -d 'Optionally the Python version to use' -r
complete -c rye -n "__fish_seen_subcommand_from install" -l absolute -d 'Force non interpolated absolute paths'
complete -c rye -n "__fish_seen_subcommand_from install" -s f -l force -d 'Force install the package even if it\'s already there'
complete -c rye -n "__fish_seen_subcommand_from install" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from install" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from install" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from lock" -l update -d 'Update a specific package' -r
complete -c rye -n "__fish_seen_subcommand_from lock" -l features -d 'Extras/features to enable when locking the workspace' -r
complete -c rye -n "__fish_seen_subcommand_from lock" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from lock" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from lock" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from lock" -l update-all -d 'Update all packages to the latest'
complete -c rye -n "__fish_seen_subcommand_from lock" -l pre -d 'Update to pre-release versions'
complete -c rye -n "__fish_seen_subcommand_from lock" -l all-features -d 'Enables all features'
complete -c rye -n "__fish_seen_subcommand_from lock" -l with-sources -d 'Set to true to lock with sources in the lockfile'
complete -c rye -n "__fish_seen_subcommand_from lock" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from lint" -s p -l package -d 'Lint a specific package' -r
complete -c rye -n "__fish_seen_subcommand_from lint" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from lint" -s a -l all -d 'Lint all packages'
complete -c rye -n "__fish_seen_subcommand_from lint" -l fix -d 'Apply fixes'
complete -c rye -n "__fish_seen_subcommand_from lint" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from lint" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from lint" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from make-req" -l git -d 'Install the given package from this git repository' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l url -d 'Install the given package from this URL' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l path -d 'Install the given package from this local path' -r -F
complete -c rye -n "__fish_seen_subcommand_from make-req" -l tag -d 'Install a specific tag' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l rev -d 'Update to a specific git rev' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l branch -d 'Update to a specific git branch' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l features -d 'Adds a dependency with a specific feature' -r
complete -c rye -n "__fish_seen_subcommand_from make-req" -l absolute -d 'Force non interpolated absolute paths'
complete -c rye -n "__fish_seen_subcommand_from make-req" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from pin" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from pin" -l relaxed -d 'Issue a relaxed pin'
complete -c rye -n "__fish_seen_subcommand_from pin" -l no-update-requires-python -d 'Prevent updating requires-python in the pyproject.toml'
complete -c rye -n "__fish_seen_subcommand_from pin" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from publish" -s r -l repository -d 'The repository to publish to' -r
complete -c rye -n "__fish_seen_subcommand_from publish" -l repository-url -d 'The repository url to publish to' -r
complete -c rye -n "__fish_seen_subcommand_from publish" -s u -l username -d 'The username to authenticate to the repository with' -r
complete -c rye -n "__fish_seen_subcommand_from publish" -l token -d 'An access token used for the upload' -r
complete -c rye -n "__fish_seen_subcommand_from publish" -s i -l identity -d 'GPG identity used to sign files' -r
complete -c rye -n "__fish_seen_subcommand_from publish" -l cert -d 'Path to alternate CA bundle' -r -F
complete -c rye -n "__fish_seen_subcommand_from publish" -l sign -d 'Sign files to upload using GPG'
complete -c rye -n "__fish_seen_subcommand_from publish" -s y -l yes -d 'Skip prompts'
complete -c rye -n "__fish_seen_subcommand_from publish" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from publish" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from publish" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from remove" -l optional -d 'Remove this from an optional dependency group' -r
complete -c rye -n "__fish_seen_subcommand_from remove" -l dev -d 'Remove this from dev dependencies'
complete -c rye -n "__fish_seen_subcommand_from remove" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from remove" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from run" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from run" -s l -l list -d 'List all commands'
complete -c rye -n "__fish_seen_subcommand_from run" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from shell" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from shell" -l no-banner -d 'Do not show banner'
complete -c rye -n "__fish_seen_subcommand_from shell" -l allow-nested -d 'Allow nested invocations'
complete -c rye -n "__fish_seen_subcommand_from shell" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from show" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from show" -l installed-deps -d 'Print the installed dependencies from the venv'
complete -c rye -n "__fish_seen_subcommand_from show" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from sync" -l update -d 'Update a specific package' -r
complete -c rye -n "__fish_seen_subcommand_from sync" -l features -d 'Extras/features to enable when synching the workspace' -r
complete -c rye -n "__fish_seen_subcommand_from sync" -l pyproject -d 'Use this pyproject.toml file' -r -F
complete -c rye -n "__fish_seen_subcommand_from sync" -s f -l force -d 'Force the environment to be re-created'
complete -c rye -n "__fish_seen_subcommand_from sync" -l no-dev -d 'Do not include dev dependencies'
complete -c rye -n "__fish_seen_subcommand_from sync" -l no-lock -d 'Do not update the lockfile'
complete -c rye -n "__fish_seen_subcommand_from sync" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from sync" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from sync" -l update-all -d 'Update all packages to the latest'
complete -c rye -n "__fish_seen_subcommand_from sync" -l pre -d 'Update to pre-release versions'
complete -c rye -n "__fish_seen_subcommand_from sync" -l all-features -d 'Enables all features'
complete -c rye -n "__fish_seen_subcommand_from sync" -l with-sources -d 'Set to true to lock with sources in the lockfile'
complete -c rye -n "__fish_seen_subcommand_from sync" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "fetch" -d 'Fetches a Python interpreter for the local machine'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all registered toolchains'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "register" -d 'Register a Python binary'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Removes a toolchain'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from fetch" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from fetch" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from fetch" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from list" -l format -d 'Request parseable output format' -r -f -a "{json	''}"
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from list" -l include-downloadable -d 'Also include non installed, but downloadable toolchains'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from register" -s n -l name -d 'Name of the toolchain.  If not provided a name is auto detected' -r
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from register" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from remove" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "fetch" -d 'Fetches a Python interpreter for the local machine'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all registered toolchains'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "register" -d 'Register a Python binary'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Removes a toolchain'
complete -c rye -n "__fish_seen_subcommand_from toolchain; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Installs a package as global tool'
complete -c rye -n "__fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "uninstall" -d 'Uninstalls a global tool'
complete -c rye -n "__fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all registered tools'
complete -c rye -n "__fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l git -d 'Install the given package from this git repository' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l url -d 'Install the given package from this URL' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l path -d 'Install the given package from this local path' -r -F
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l tag -d 'Install a specific tag' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l rev -d 'Update to a specific git rev' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l branch -d 'Update to a specific git branch' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l features -d 'Adds a dependency with a specific feature' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l include-dep -d 'Include scripts from a given dependency' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l extra-requirement -d 'Additional dependencies to install that are not declared by the main package' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -s p -l python -d 'Optionally the Python version to use' -r
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -l absolute -d 'Force non interpolated absolute paths'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -s f -l force -d 'Force install the package even if it\'s already there'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from install" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from uninstall" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from uninstall" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from uninstall" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from list" -s i -l include-scripts -d 'Also how all the scripts installed by the tools'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from list" -s v -l version-show -d 'Show the version of tools'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from list" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Installs a package as global tool'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "uninstall" -d 'Uninstalls a global tool'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'List all registered tools'
complete -c rye -n "__fish_seen_subcommand_from tools; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "completion" -d 'Generates a completion script for a shell'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "update" -d 'Performs an update of rye'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Triggers the initial installation of Rye'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "uninstall" -d 'Uninstalls rye again'
complete -c rye -n "__fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from completion" -s s -l shell -d 'The shell to generate a completion script for (defaults to \'bash\')' -r -f -a "{bash	'',elvish	'',fish	'',powershell	'',zsh	''}"
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from completion" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from update" -l version -d 'Update to a specific version' -r
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from update" -l tag -d 'Update to a specific tag' -r
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from update" -l rev -d 'Update to a specific git rev' -r
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from update" -l force -d 'Force reinstallation'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from update" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from install" -l toolchain -d 'Register a specific toolchain before bootstrap' -r -F
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from install" -s y -l yes -d 'Skip prompts'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from install" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from uninstall" -s y -l yes -d 'Skip safety check'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from uninstall" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "completion" -d 'Generates a completion script for a shell'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "update" -d 'Performs an update of rye'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Triggers the initial installation of Rye'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "uninstall" -d 'Uninstalls rye again'
complete -c rye -n "__fish_seen_subcommand_from self; and __fish_seen_subcommand_from help; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from uninstall" -s v -l verbose -d 'Enables verbose diagnostics'
complete -c rye -n "__fish_seen_subcommand_from uninstall" -s q -l quiet -d 'Turns off all output'
complete -c rye -n "__fish_seen_subcommand_from uninstall" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from version" -s b -l bump -d 'The version bump to apply' -r -f -a "{major	'',minor	'',patch	''}"
complete -c rye -n "__fish_seen_subcommand_from version" -s h -l help -d 'Print help'
complete -c rye -n "__fish_seen_subcommand_from list" -s h -l help -d 'Print help (see more with \'--help\')'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "add" -d 'Adds a Python package to this project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "build" -d 'Builds a package for distribution'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "config" -d 'Reads or modifies the global `config.toml` file'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "fetch" -d 'Fetches a Python interpreter for the local machine'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "fmt" -d 'Run the code formatter on the project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "init" -d 'Initialize a new or existing Python project with Rye'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "install" -d 'Installs a package as global tool'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "lock" -d 'Updates the lockfiles without installing dependencies'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "lint" -d 'Run the linter on the project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "make-req" -d 'Builds and prints a PEP 508 requirement string from parts'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "pin" -d 'Pins a Python version to this project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "publish" -d 'Publish packages to a package repository'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "remove" -d 'Removes a package from this project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "run" -d 'Runs a command installed into this package'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "shell" -d 'Spawns a shell with the virtualenv activated'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "show" -d 'Prints the current state of the project'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "sync" -d 'Updates the virtualenv based on the pyproject.toml'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "toolchain" -d 'Helper utility to manage Python toolchains'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "tools" -d 'Helper utility to manage global tools'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "self" -d 'Rye self management'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "uninstall" -d 'Uninstalls a global tool'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "version" -d 'Get or set project version'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "list" -d 'There is no real list command yet'
complete -c rye -n "__fish_seen_subcommand_from help; and not __fish_seen_subcommand_from add; and not __fish_seen_subcommand_from build; and not __fish_seen_subcommand_from config; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from fmt; and not __fish_seen_subcommand_from init; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from lock; and not __fish_seen_subcommand_from lint; and not __fish_seen_subcommand_from make-req; and not __fish_seen_subcommand_from pin; and not __fish_seen_subcommand_from publish; and not __fish_seen_subcommand_from remove; and not __fish_seen_subcommand_from run; and not __fish_seen_subcommand_from shell; and not __fish_seen_subcommand_from show; and not __fish_seen_subcommand_from sync; and not __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from version; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from help" -f -a "help" -d 'Print this message or the help of the given subcommand(s)'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove" -f -a "fetch" -d 'Fetches a Python interpreter for the local machine'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove" -f -a "list" -d 'List all registered toolchains'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove" -f -a "register" -d 'Register a Python binary'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from toolchain; and not __fish_seen_subcommand_from fetch; and not __fish_seen_subcommand_from list; and not __fish_seen_subcommand_from register; and not __fish_seen_subcommand_from remove" -f -a "remove" -d 'Removes a toolchain'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list" -f -a "install" -d 'Installs a package as global tool'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list" -f -a "uninstall" -d 'Uninstalls a global tool'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from tools; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall; and not __fish_seen_subcommand_from list" -f -a "list" -d 'List all registered tools'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall" -f -a "completion" -d 'Generates a completion script for a shell'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall" -f -a "update" -d 'Performs an update of rye'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall" -f -a "install" -d 'Triggers the initial installation of Rye'
complete -c rye -n "__fish_seen_subcommand_from help; and __fish_seen_subcommand_from self; and not __fish_seen_subcommand_from completion; and not __fish_seen_subcommand_from update; and not __fish_seen_subcommand_from install; and not __fish_seen_subcommand_from uninstall" -f -a "uninstall" -d 'Uninstalls rye again'
